/* ==== NAVIGATIONSLEISTE ==== */

@keyframes navIntro {
 	0% {
 		transform: translate(0px, -60px);
 	}
 	100% {
 		transform: translate(0px, 0px);
 	}
}

@keyframes navHover {
 	0% {
 		transform: translate(0px, -3px);
 	}
 	47% {
 		transform: translate(0px, -6px);
 	}
 	53% {
 		transform: translate(0px, -6px);
 	}
 	94% {
 		transform: translate(0px, -3px);
 	}
 }

.navBar {
	position: fixed;
	top: 0px;
	width: 100%;
	height: 60px;
	cursor: default;
	z-index: 1;
}

/* JS adds this on scroll */
.navShadow {
	-webkit-box-shadow: 0px 10px 50px -28px rgba(0,0,0,0.75);
	-moz-box-shadow: 0px 10px 50px -28px rgba(0,0,0,0.75);
	box-shadow: 0px 10px 50px -28px rgba(0,0,0,0.75);
	border-bottom: 1px solid rgba(0, 0, 0, 0.1);
	background: rgba( 255, 255, 255, 0.25 );
	backdrop-filter: blur( 20.5px );
	-webkit-backdrop-filter: blur( 20.5px );
}

.navLogo {
	width: 150px;
	margin: 15px;
	margin-top: 16px;
	transition: 0.25s;
	cursor: pointer;
}

.navLogo:hover {
	transform: scale(1.03);
}

.navMenue {
	float: right;
	width: 330px;
	margin-top: -55px;
	margin-right: 15px;
	font-size: 20px;
}

.navContent {
 	font-family: Verdana, sans-serif;
 }
 
.navSelect {
 	height: 50px;
 	display: inline-block;
 	padding: 5px;
 	padding-top: 11px;
 	transition: 0.25s;
 	transition-timing-function: linear;
 	color: black;
 	cursor: pointer;
 	-webkit-tap-highlight-color: transparent;
}

.navSelect:hover {
	transform: translate(0px, -3px);
 	animation: 1.5s navHover infinite;
 	animation-delay: 0.25s;
 	color: #4C4C4C;
}
 
.navPointa {
 	animation: 0.6s navIntro 1;
}
 
.navPointb {
 	animation: 0.8s navIntro 1;
}
 
.navPointc {
 	animation: 1s navIntro 1;
}
  
.navPointd {
 	animation: 1.2s navIntro 1;
}

.navMobilemenue {
	position: fixed;
	width: 100%;
	height: 100%;
	left: 50%;
	top: 50%;
	background: white;
	transform: translate(-50%, -50%);
	display: none;
	font-family: Verdana, sans-serif;
	z-index: 1;
}

.navSwitch {
	display: none;
	float: right;
	font-size: 35px;
	margin-top: -2px;
	padding: 0px;
	background: none;
	border: none;
	color: black;
	-webkit-tap-highlight-color: transparent;
}

.navMobileclose {
	position: fixed;
	font-size: 40px;
	position: fixed;
	right: 15px;
	top: -5px;
	background: none;
	color: black;
	border: none;
	padding: 0px;
	-webkit-tap-highlight-color: transparent;
}

.navTitle {
	font-size: 40px;
	text-align: center;
	margin-top: 60px;
	margin-bottom: 20px;
}

.navMobilepoint {
	font-size: 20px;
	text-align: center;
	margin-top: 20px;
	-webkit-tap-highlight-color: transparent;
}

.navMobilepoint:hover {
	text-decoration: underline;
}

@media (max-width: 570px) {
	.navContent {
		display: none;
	}
	.navSwitch {
		display: block;
	}
}

@media (prefers-color-scheme: dark) {
	.navShadow {
		background: rgba( 0, 0, 0, 0.25 );
		border-bottom: 1px solid rgba(155, 155, 155, 0.2);
	}
	.navSelect {
		color: white;
	}
	.navSelect:hover {
		 color: #D6D6D6
	}
	.navSwitch img {
		filter: invert(1);
	}
	.navMobilemenue {
		background: black;
	}
	.navMobileclose img {
		filter: invert(1);
	}
}